// D92RS232CControlDlg.h 
//
//{{AFX_INCLUDES()
#include "mscomm.h"
//}}AFX_INCLUDES

#if !defined(AFX_D92RS232CCONTROLDLG_H__E83BDDE7_8679_11D5_994D_00010304D2D0__INCLUDED_)
#define AFX_D92RS232CCONTROLDLG_H__E83BDDE7_8679_11D5_994D_00010304D2D0__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

// SURUGA >>
#include "SetPositionDlg.h"
#include "MyButton.h"
// << SURUGA

/////////////////////////////////////////////////////////////////////////////
// CD92RS232CControlDlg

class CD92RS232CControlDlg : public CDialog
{
public:
	CD92RS232CControlDlg(CWnd* pParent = NULL);

	//{{AFX_DATA(CD92RS232CControlDlg)
	enum { IDD = IDD_D92RS232CCONTROL_DIALOG };
	CMyButton	m_pCCWButton;
	CMyButton	m_pCWButton;
	int		m_iLSpeed;
	int		m_iPosition;
	int		m_iRate;
	int		m_iSpeed;
	CString	m_strStatus;
	int		m_iStep;
	CMSComm	m_MSComm;
	//}}AFX_DATA

	//{{AFX_VIRTUAL(CD92RS232CControlDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);
	//}}AFX_VIRTUAL

protected:
	HICON m_hIcon;

	//{{AFX_MSG(CD92RS232CControlDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnModeCont();
	afx_msg void OnModeOrg();
	afx_msg void OnModeStep();
	afx_msg void OnSetPosition();
	afx_msg void OnStop();
	virtual void OnOK();
	afx_msg void OnSelchangePortNumber();
	afx_msg void OnSelchangeAxis();
	virtual void OnCancel();
	afx_msg void OnTimer(UINT nIDEvent);
	//}}AFX_MSG
	// SURUGA >>
	void OnDown(WPARAM wParam,LPARAM lParam =0);	
	void OnUp(WPARAM wParam ,LPARAM lParam =0);
	// << SURUGA
	DECLARE_MESSAGE_MAP()
	// SURUGA >>
private:
	void SetEnableControl(BOOL bFlag);
	void SetButtonCaption(BOOL bOrgFlag);
	int Connect(int iPortNumber);
	BOOL SendString(CString strMessage);
	BOOL ReceiveString(CString& strMessage);
	CString GetAxisString();
	int GetAxisStatus();
	int GetPositionData();
	void CheckStop();
	void SetPositionData(int iPositionData);

	UINT nTimerID;
	BOOL bStopFlag;
	BOOL bConnect;
	// << SURUGA
};

//{{AFX_INSERT_LOCATION}}

#endif // !defined(AFX_D92RS232CCONTROLDLG_H__E83BDDE7_8679_11D5_994D_00010304D2D0__INCLUDED_)
